commit ecc83ab1df42016e41d0701278b86a3006186998
Author: Iain Buclaw <ibuclaw@gdcproject.org>
Date:   Tue Dec 21 15:03:47 2021

    libphobos: Add power*-*-freebsd* as supported target
    
    This has been tested on powerpc64-freebsd13 and powerpc64le-freebsd13,
    and used to build dub, along with some D tools from ports.
    
    libphobos/ChangeLog:
    
            * configure.tgt: Add power*-*-freebsd* as a supported target.
            * libdruntime/core/sys/freebsd/config.d: Define
              __FreeBSD_version for FreeBSD_13 targets.
    
    (cherry picked from commit 0c3fc06c300f5b71f299812c7fcac82b0236e5ac)

diff --git a/libphobos/configure.tgt b/libphobos/configure.tgt
index 88c027d0c28..0643daeb613 100644
--- a/libphobos/configure.tgt
+++ b/libphobos/configure.tgt
@@ -39,6 +39,9 @@ case "${target}" in
   mips*-*-linux*)
 	LIBPHOBOS_SUPPORTED=yes
 	;;
+  power*-*-freebsd*)
+	LIBPHOBOS_SUPPORTED=yes
+	;;
   power*-*-linux*)
 	LIBPHOBOS_SUPPORTED=yes
 	LIBDRUNTIME_ONLY=yes
diff --git a/libphobos/libdruntime/core/sys/freebsd/config.d b/libphobos/libdruntime/core/sys/freebsd/config.d
index 4eda066b293..ead941c0e67 100644
--- a/libphobos/libdruntime/core/sys/freebsd/config.d
+++ b/libphobos/libdruntime/core/sys/freebsd/config.d
@@ -13,7 +13,8 @@ public import core.sys.posix.config;
 // __FreeBSD_version numbers are documented in the Porter's Handbook.
 // NOTE: When adding newer versions of FreeBSD, verify all current versioned
 // bindings are still compatible with the release.
-     version (FreeBSD_12) enum __FreeBSD_version = 1202000;
+     version (FreeBSD_13) enum __FreeBSD_version = 1300000;
+else version (FreeBSD_12) enum __FreeBSD_version = 1202000;
 else version (FreeBSD_11) enum __FreeBSD_version = 1104000;
 else version (FreeBSD_10) enum __FreeBSD_version = 1004000;
 else version (FreeBSD_9)  enum __FreeBSD_version = 903000;

